.dui-search-input {
  --dui-input-padding-x: var(--dui-search-input-padding-x, 0.1875rem);
  --dui-input-padding-y: var(--dui-search-input-padding-y, 0.1875rem);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0.5rem;
  padding: var(--dui-input-padding-y) var(--dui-input-padding-x);
}
.dui-search-input:has(.error) {
  border-color: var(--dui-input-border-color-invalid, var(--dui-color-state-error, #b9121b));
}
.dui-search-input:has(:disabled) {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color-disabled, var(--dui-color-light-grey, #ededed));
}
.dui-search-input__icon {
  font-size: 1.375em;
  margin-left: 0.25rem;
  line-height: 1;
}
.dui-search-input__button {
  font-size: 0.9375rem;
  padding: 0.57em 1.066em;
}
.dui-search-input__button.dui-button--small {
  padding: 0.37em 1.066em;
}
.dui-search-input__button.dui-button--large {
  font-size: 1.0625rem;
  padding: calc(var(--dui-button-padding-y-large, 0.8em) - 0.25rem) 1.066em;
}
.dui-search-input .dui-search-input__input {
  border: none;
  margin: 0;
  padding: 0.4375em 0;
  background-color: transparent;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  min-width: 0;
}
.dui-search-input .dui-search-input__input:focus-visible {
  outline-offset: 2px;
}
.dui-search-input .dui-search-input__input.dui-input--small {
  padding: 0.25rem;
}
.dui-search-input .dui-search-input__input.dui-input--large {
  padding: 0.5rem;
}
